Skip to main content

syncIntegration

Force an integration-wide sync (all imported assets) via a single env-wide message

syncIntegration(
input: SyncIntegrationInput!
): SyncIntegrationPayload

Arguments

syncIntegration.input ● SyncIntegrationInput! non-null input

Parameters for SyncIntegration

Type

SyncIntegrationPayload object

Autogenerated return type of SyncIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the integrations query first and use data.integrations.collection[].id as integrationId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateSyncIntegration($input: SyncIntegrationInput!) {\n syncIntegration(input: $input) { clientMutationId enqueued failureReason }\n}","variables":{"input":{"integrationId":"<integration_id>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.